## ros-humble-marti-sensor-msgs 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(marti_sensor_msgs)

set(CMAKE_CXX_STANDARD 14)
set(MSG_DEPS geometry_msgs)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(geometry_msgs REQUIRED)

set(MSG_FILES
  msg/Altitude.msg
  msg/DifferentialMeasurement.msg
  msg/DioPortState.msg
  msg/DioRealTimeData.msg
  msg/Direction.msg
  msg/Exposure.msg
  msg/Gyro.msg
  msg/Velocity.msg
  msg/WheelEncoder.msg
  msg/WheelEncoderSet.msg
  srv/SetExposure.srv
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${MSG_FILES}
  DEPENDENCIES ${MSG_DEPS}
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-marti-sensor-msgs (1.4.1-2jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 03 May 2023 05:00:00 -0000

ros-humble-marti-sensor-msgs (1.2.0-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-humble-marti-sensor-msgs (1.1.0-2jammy) jammy; urgency=high

  * Merge pull request #102 <https://github.com/swri-robotics/marti_messages/issues/102> from matt-attack/dashing-diff
  * Merge pull request #103 <https://github.com/swri-robotics/marti_messages/issues/103> from matt-attack/dashing-dir
  * Fix out of bounds enum
  * Add unknown direction enum
  * Add differentialmeasurement message for DGPS/RTK
  * Contributors: Matthew Bries, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-humble-marti-sensor-msgs (1.0.0-2jammy) jammy; urgency=high

  * Convert to ROS2 Dashing
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.8.0-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.7.0-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.6.0-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.5.0-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.4.0-2jammy) jammy; urgency=high

  * Add a Direction message to marti_sensor_msgs.
  * Contributors: Edward Venator

 -- P. J. Reed <preed@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-humble-marti-sensor-msgs (0.3.0-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.2.0-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.1.0-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.9-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.8-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.7-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.6-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.5-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.4-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.3-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.2-2jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.1-2jammy) jammy; urgency=high

  * Initial Release
  * Contributors: Marc Alban, Neal Seegmiller, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-marti-sensor-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-marti-sensor-msgs 1.5.2

=== debian/changelog ===
ros-humble-marti-sensor-msgs (1.5.2-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 02 Nov 2023 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.5.1-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.5.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.4.1-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.2.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 18 Nov 2020 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.1.0-1bookworm) bookworm; urgency=high

  * Merge pull request #102 <https://github.com/swri-robotics/marti_messages/issues/102> from matt-attack/dashing-diff
  * Merge pull request #103 <https://github.com/swri-robotics/marti_messages/issues/103> from matt-attack/dashing-dir
  * Fix out of bounds enum
  * Add unknown direction enum
  * Add differentialmeasurement message for DGPS/RTK
  * Contributors: Matthew Bries, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 09 Jun 2020 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.0.0-1bookworm) bookworm; urgency=high

  * Convert to ROS2 Dashing
  * Contributors: P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 03 Oct 2019 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.8.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 18 Oct 2018 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.7.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 08 Oct 2018 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.6.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 23 May 2018 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.5.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 04 Apr 2018 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.4.0-1bookworm) bookworm; urgency=high

  * Add a Direction message to marti_sensor_msgs.
  * Contributors: Edward Venator

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 07 Nov 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.3.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 27 Sep 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.2.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 28 Aug 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.1.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 14 Aug 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.9-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 07 May 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.8-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 17 Mar 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.7-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 05 Feb 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.6-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sat, 22 Oct 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.5-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sat, 13 Aug 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.4-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 19 May 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.3-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 10 Mar 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.2-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 03 Mar 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.1-1bookworm) bookworm; urgency=high

  * Initial Release
  * Contributors: Marc Alban, Neal Seegmiller, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 21 Sep 2015 16:00:00 -0000

=== debian/control ===
Source: ros-humble-marti-sensor-msgs
Section: misc
Priority: optional
Maintainer: Southwest Research Institute <swri-robotics@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-humble-marti-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
Description: marti_sensor_msgs

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-marti-sensor-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-marti-sensor-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-marti-sensor-msgs//opt/ros/humble/opt/marti_sensor_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-marti-sensor-msgs 1.6.1

=== debian/changelog ===
ros-humble-marti-sensor-msgs (1.6.1-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 04 Sep 2024 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.6.0-2bookworm) bookworm; urgency=high

  * Updating CI for Rolling and Jazzy. No functional changes.
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 08 Aug 2024 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.5.2-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 02 Nov 2023 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.5.1-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.5.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.4.1-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.2.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 18 Nov 2020 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.1.0-2bookworm) bookworm; urgency=high

  * Merge pull request #102 <https://github.com/swri-robotics/marti_messages/issues/102> from matt-attack/dashing-diff
  * Merge pull request #103 <https://github.com/swri-robotics/marti_messages/issues/103> from matt-attack/dashing-dir
  * Fix out of bounds enum
  * Add unknown direction enum
  * Add differentialmeasurement message for DGPS/RTK
  * Contributors: Matthew Bries, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 09 Jun 2020 16:00:00 -0000

ros-humble-marti-sensor-msgs (1.0.0-2bookworm) bookworm; urgency=high

  * Convert to ROS2 Dashing
  * Contributors: P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 03 Oct 2019 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.8.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 18 Oct 2018 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.7.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 08 Oct 2018 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.6.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 23 May 2018 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.5.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 04 Apr 2018 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.4.0-2bookworm) bookworm; urgency=high

  * Add a Direction message to marti_sensor_msgs.
  * Contributors: Edward Venator

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 07 Nov 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.3.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 27 Sep 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.2.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 28 Aug 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.1.0-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 14 Aug 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.9-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 07 May 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.8-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 17 Mar 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.7-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 05 Feb 2017 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.6-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sat, 22 Oct 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.5-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sat, 13 Aug 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.4-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 19 May 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.3-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 10 Mar 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.2-2bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 03 Mar 2016 16:00:00 -0000

ros-humble-marti-sensor-msgs (0.0.1-2bookworm) bookworm; urgency=high

  * Initial Release
  * Contributors: Marc Alban, Neal Seegmiller, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 21 Sep 2015 16:00:00 -0000
